Get a collection

View as Markdown
Gets information about a collection. For a complete list of this endpoint's possible values, refer to the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionIdstringRequired
The collection's ID.

Query parameters

access_keystringOptional

A collection’s read-only access key. Using this query parameter does not require an API key to call the endpoint.

modelenumOptional

Return a list of only the collection’s root-level request (rootLevelRequests) and folder (rootLevelFolders) IDs instead of the full collection element data.

Allowed values:

Response

Successful Response
collectionobject

For a complete list of this endpoint’s possible values, use the Postman Collection Format documentation.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error